Bug 700866 - Broken dependency on deprecated hal
Broken dependency on deprecated hal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: olpc-kbdshim (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Fox
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 716192
  Show dependency treegraph
 
Reported: 2011-04-29 12:09 EDT by Nicola Soranzo
Modified: 2011-08-21 10:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: olpc-kbdshim-19-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-21 10:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-04-29 12:09:18 EDT
Description of problem:
Since HAL has been deprecated upstream for 3 years, all major distributions are
removing it. You can find more details on the proposed Fedora Feature page:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from
composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken
dependencies for your package should be removed:

olpc-kbdshim-17-1.fc16.i686 requires libhal.so.1
olpc-kbdshim-17-1.fc16.i686 requires hal

If these dependencies cannot be removed, this package should probably be
deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
olpc-kbdshim-17-1.fc16
Comment 1 Paul Fox 2011-04-29 12:33:51 EDT
work is in progress on removing this dependency.
Comment 2 Nicola Soranzo 2011-07-28 06:41:47 EDT
(In reply to comment #1)
> work is in progress on removing this dependency.

Hi Paul,
by looking at the latest commits at

http://dev.laptop.org/git/users/pgf/olpc-kbdshim/

it seems to me that version 18 is ready and should fix this bug, am I right?
If this is the case, please rebuild the new version!
Comment 3 Nicola Soranzo 2011-08-21 10:52:46 EDT
Please note that the updates:
olpc-kbdshim-19-1.fc14
olpc-kbdshim-19-1.fc16
break the upgrade path! See

http://fedoraproject.org/wiki/Package_maintainer_responsibilities#Miscellaneous_Items

Also an updated olpc-kbdshim-19-1.fc15 should be released.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.